'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _liskElements = require('lisk-elements');

var _command = require('@oclif/command');

var _base = require('../../base');

var _base2 = _interopRequireDefault(_base);

var _input = require('../../utils/input');

var _input2 = _interopRequireDefault(_input);

var _flags = require('../../utils/flags');

var _flags2 = _interopRequireDefault(_flags);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const processInput = ({ passphrase }) => {
	const { privateKey, publicKey } = _liskElements.cryptography.getKeys(passphrase);
	const address = _liskElements.cryptography.getAddressFromPublicKey(publicKey);
	return {
		privateKey,
		publicKey,
		address
	};
}; /*
    * LiskHQ/lisk-commander
    * Copyright © 2017–2018 Lisk Foundation
    *
    * See the LICENSE file at the top-level directory of this distribution
    * for licensing information.
    *
    * Unless otherwise agreed in a custom licensing agreement with the Lisk Foundation,
    * no part of this software, including this file, may be copied, modified,
    * propagated, or distributed except according to the terms contained in the
    * LICENSE file.
    *
    * Removal or modification of this copyright notice is prohibited.
    *
    */
class ShowCommand extends _base2.default {
	async run() {
		const { flags: { passphrase: passphraseSource } } = this.parse(ShowCommand);
		const input = await (0, _input2.default)({
			passphrase: {
				source: passphraseSource,
				repeatPrompt: true
			}
		});
		this.print(processInput(input));
	}
}

exports.default = ShowCommand;
ShowCommand.flags = Object.assign({}, _base2.default.flags, {
	passphrase: _command.flags.string(_flags2.default.passphrase)
});

ShowCommand.description = `
Shows account information for a given passphrase.
`;
ShowCommand.examples = ['account:show'];