'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _base = require('../../base');

var _base2 = _interopRequireDefault(_base);

var _api = require('../../utils/api');

var _api2 = _interopRequireDefault(_api);

var _query = require('../../utils/query');

var _query2 = _interopRequireDefault(_query);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class GetCommand extends _base2.default {
	async run() {
		const { args: { usernames } } = this.parse(GetCommand);
		const req = usernames.map(username => ({
			query: {
				limit: 1,
				username
			},
			placeholder: {
				username,
				message: 'Delegate not found.'
			}
		}));
		const client = (0, _api2.default)(this.userConfig.api);
		const results = await (0, _query2.default)(client, 'delegates', req);
		this.print(results);
	}
}

exports.default = GetCommand; /*
                               * LiskHQ/lisk-commander
                               * Copyright © 2017–2018 Lisk Foundation
                               *
                               * See the LICENSE file at the top-level directory of this distribution
                               * for licensing information.
                               *
                               * Unless otherwise agreed in a custom licensing agreement with the Lisk Foundation,
                               * no part of this software, including this file, may be copied, modified,
                               * propagated, or distributed except according to the terms contained in the
                               * LICENSE file.
                               *
                               * Removal or modification of this copyright notice is prohibited.
                               *
                               */

GetCommand.args = [{
	name: 'usernames',
	required: true,
	description: 'Comma-separated username(s) to get information about.',
	parse: input => input.split(',').filter(Boolean)
}];

GetCommand.flags = Object.assign({}, _base2.default.flags);

GetCommand.description = `
Gets delegate information from the blockchain.
`;

GetCommand.examples = ['delegate:get lightcurve', 'delegate:get lightcurve,4miners.net'];