'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.NETHASHES = exports.API_PROTOCOLS = exports.CONFIG_VARIABLES = exports.QUERY_INPUT_MAP = exports.PLURALS = exports.COMMAND_TYPES = undefined;

var _liskElements = require('lisk-elements');

var _liskElements2 = _interopRequireDefault(_liskElements);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const { constants } = _liskElements2.default; /*
                                               * LiskHQ/lisk-commander
                                               * Copyright © 2017–2018 Lisk Foundation
                                               *
                                               * See the LICENSE file at the top-level directory of this distribution
                                               * for licensing information.
                                               *
                                               * Unless otherwise agreed in a custom licensing agreement with the Lisk Foundation,
                                               * no part of this software, including this file, may be copied, modified,
                                               * propagated, or distributed except according to the terms contained in the
                                               * LICENSE file.
                                               *
                                               * Removal or modification of this copyright notice is prohibited.
                                               *
                                               */
const COMMAND_TYPES = exports.COMMAND_TYPES = ['accounts', 'addresses', 'blocks', 'delegates', 'transactions'];

const PLURALS = exports.PLURALS = {
	account: 'accounts',
	address: 'addresses',
	block: 'blocks',
	delegate: 'delegates',
	transaction: 'transactions'
};

const QUERY_INPUT_MAP = exports.QUERY_INPUT_MAP = {
	accounts: 'address',
	blocks: 'blockId',
	delegates: 'username',
	transactions: 'id'
};

const CONFIG_VARIABLES = exports.CONFIG_VARIABLES = ['api.nodes', 'api.network', 'json', 'pretty'];

const API_PROTOCOLS = exports.API_PROTOCOLS = ['http:', 'https:'];

const NETHASHES = exports.NETHASHES = {
	main: constants.MAINNET_NETHASH,
	test: constants.TESTNET_NETHASH,
	beta: constants.BETANET_NETHASH
};